Generate Proxies
Automatically generate proxy strings with specific targeting parameters and connection preferences. This can be helpful for tools that require an URL to retrieve proxies.
Endpoint Permalink to Endpoint
GET https://api.evomi.com/public/generate
Parameters Permalink to Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
product |
string | Yes | Proxy product type |
countries |
string | No | ISO country codes seperated by comma (e.g. US,DE,NL) |
city |
string | No | Target city name |
region |
string | No | Target region |
isp |
string | No | Target ISP name |
session |
string | No | sticky (normal session) or hard (keep as long as possible) |
amount |
number | No | Number of proxies to generate (1-100) |
format |
string | No | Output format (1, 2, or 3) |
prepend_protocol |
boolean | No | set to false to prevent protocol prepend. default: true |
protocol |
string | No | http or socks5 default: http |
lifetime |
number | No | Session duration in minutes (1-1440) Unavailable for hard sessions |
adblock |
boolean | No | Enable ad-blocking (Unavailable for rpc) |
Products Permalink to Products
| Code | Product Name | Comment |
|---|---|---|
| rp | Premium Residential | |
| rpc | Core Residential | Adblock and ISP targetting unavailable |
| sdc | Shared Datacenter | |
| mp | Mobile | |
| static-residential | Static Residential | No filter options work and you will receive all your proxies |
Format Options Permalink to Format Options
-
Standard Format
username:password@host:port
user123:[email protected]:3000 -
Host-First Format
host:port:username:password
proxy.example.com:3000:user123:pass456 -
Standard Format with : instead of @
username:password:host:port
user123:pass456:proxy.example.com:3000
Example Proxy List via your Browser Permalink to Example Proxy List via your Browser
https://api.evomi.com/public/generate?product=rpc&countries=DE,US&format=2&protocol=socks5&amount=3&apikey=YOUR_API_KEYSuccess Response Permalink to Success Response
The response is plain text with the generated proxies, one per line:
http://rp.evomi.com:1000:proxy_username:proxy_password-US,DE
http://rp.evomi.com:1000:proxy_username:proxy_password-US,DE
http://rp.evomi.com:1000:proxy_username:proxy_password-US,DETargeting Rules Permalink to Targeting Rules
- You cant use cities or regions if you specify more than one country
- Multiple countries can be passed as a comma-separated list and will be chosen at random
- City/region targeting requires exact match from
/settingsendpoint - ISP targeting and adblocking is not available for
rpcproduct
Session Types Permalink to Session Types
| Type | Behavior | Lifetime |
|---|---|---|
| None | IP changes every request | - |
| Sticky | Fixed IP for duration | Default 30min |
| Hard | Permanent IP | As long as IP is connected |
Error Responses Permalink to Error Responses
{
"error": "Invalid product for user",
"success": false
}400 Bad Request - User doesn’t have access to requested product, or no balance
{
"error": "Exceeded maximum proxy count",
"success": false
}429 Too Many Requests - Maximum is 500 Proxies per generation